if exists("b:did_ftplugin")
   finish
endif

if has("iconv") && !exists('b:encoding_set')
   " Try to recognize the file encoding and convert the file
   if search('^#\(encoding\|unicode\) ') > 0
      let line = getline(".")
      let encoding = matchlist(line, '#\(encoding\|unicode\) \([^ ]\+\)$')[2]
      call SetupEncoding(encoding)
   endif
endif

setlocal autoindent shiftwidth=2 softtabstop=2 textwidth=78
setlocal matchpairs+=<:> " Add brokets to the list of pairs that match for the '%' command
